Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.event
Interface KernelEventManager

All Superinterfaces:
  KernelEventEmitter, KernelObject

All Known Implementing Classes:
  AbstractEventManager

public interface KernelEventManager
extends KernelObject

An event manager.

The event manager co-ordinates events.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`void` | `registerListener(Object name, KernelEventListener listener, KernelEventFilter filter, Object handback)` Register a listener
`void` | `unregisterListener(Object name, KernelEventListener listener, KernelEventFilter filter, Object handback)` Unregister a listener

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Method Detail

### registerListener

    public void registerListener(Object name,
                                 KernelEventListener listener,
                                 KernelEventFilter filter,
                                 Object handback)
                          throws Throwable

  Register a listener

  Parameters:
    `name` - the name of the object to register on
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

### unregisterListener

    public void unregisterListener(Object name,
                                   KernelEventListener listener,
                                   KernelEventFilter filter,
                                   Object handback)
                            throws Throwable

  Unregister a listener

  Parameters:
    `name` - the name of the object to register on
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.